List report history
curl --request GET \
--url https://api.creditor.younegotiate.com/reports/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditor.younegotiate.com/reports/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditor.younegotiate.com/reports/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"created_at": "2026-06-23T10:00:00.000000Z",
"report_type": {
"value": "active_accounts",
"label": "Active Account Report"
},
"account_in_scope": {
"value": "master",
"label": "Master - All accounts"
},
"records": 42,
"start_date": "2026-05-01",
"end_date": "2026-06-23",
"status": {
"value": 1,
"label": "Success"
},
"download_available": true
}
],
"pagination": {
"current_page": 1,
"from": 1,
"last_page": 1,
"per_page": 25,
"to": 1,
"total": 1
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>",
"errors": {}
}List report history
List generated report history rows for the authenticated creditor user. Rows are retained for 30 days and rows attached to deleted sub accounts are hidden from the list.
GET
/
reports
/
history
List report history
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Sort field.
Available options:
created-on, name, account-in-scope, records, start-date, end-date Sort direction.
Available options:
asc, desc Page number for paginated list responses.
Required range:
x >= 1Number of records per page.
Required range:
1 <= x <= 100Last modified on July 20, 2026
Was this page helpful?
⌘I

